package com.example.a8_bitinvader;

public class Enemy extends Sprite{

    // this will need to vary no?
    /** Health of player */
    private int health = 1;

    // speed adjust
    /** Speed */
    public final int SPEED_MULTIPLIER = 3;

    //initialize the Xval,Yval. and inital position

    /**
     * Initialize an enemy with the given coordinates and initial velocity
     * @param xPos X point
     * @param yPos Y point
     * @param xVel X velocity
     * @param yVel Y velocity
     */
    public Enemy(int xPos, int yPos, int xVel, int yVel) {
        super(xPos, yPos, xVel, yVel);

    }

    /**
     * Checks if the given points are within the sprite and reduce the health if so
     * @param xx Other X point
     * @param yy Other Y point
     * @return True if input xx and yy are within the sprite
     */
    @Override //the return doesn't really mean anything all we need is that when any of the point hit within the hit box of player, call the loose health function.
    public boolean checkForCollision(int xx, int yy)
    {
        if( super.checkForCollision(xx,yy) ) {
            loseHealth();
            return true;
        } else {
            return false;
        }
    }

    /**
     * Decrease the health of the player
     */
    // when loseHealth drop the help to 0, call the destroy function. which we will override ltr
    private void loseHealth() {
        health -= 1;
        if (health == 0) {
            destroy();
        }
    }


    // will shoot bullets
    public void shootBullets(){

    }

}
